@include("admin.template.header")
@include("admin.template.sidebar")

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
   <!-- Content Header (Page header) -->
   <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
   </div>
    <!-- /.content-header -->

    <!-- Main content -->
   <section class="content">
      <div class="container-fluid">
         <!-- Small boxes (Stat box) -->
         <div class="row">
            <div class="col-md-12">
              {!! session("message") !!}
            </div>  
            <div class="col-md-12">
               <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                     <div class="card card-primary">
                        <div class="card-header">
                           <h3 class="card-title">{{ __('messages.Promo code') }}</h3>

                           <div class="card-tools">
                              <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                               <i class="fas fa-minus"></i>
                              </button>
                           </div>
                        </div>
                        <div class="card-body">
                           {{Form::open(array("method"=>"post","url"=>"admin/addCouponSubmit","files"=>true))}}
                           <div class="col-md-12 wa_new_select wa_scroll wa_assing_availabilitity">
                              <label>{{ __('messages.Users') }}</label>
                              <select class="form-control" name="user[]" id="user" multiple="multiple">

                                 <!-- <option value="">{{ __("messages.Please select") }}</option> -->
                                 @forelse($data["record"] as $userValue)

                                    <option value="{{$userValue->id}}">{{$userValue->fullname}}</option>
                                 @empty
                                    <p>{{ __('messages.no_record')}}</p>
                                 @endforelse
                              </select>
                              <div class="error">{{ $errors->first('users') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Title') }}</label>
                              {{Form::text("title","",["class"=>"form-control"])}}
                              <div class="error">{{ $errors->first('title') }}</div>
                           </div>

                           <div class="form-group">
                              <label>{{ __('messages.Code name') }}</label>
                              {{Form::text("code_name","",["class"=>"form-control"])}}
                              <div class="error">{{ $errors->first('code_name') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Expiry Date') }}</label>
                              {{Form::text("expiry_date","",["class"=>"form-control","id"=>"expiry_date"])}}
                              <div class="error">{{ $errors->first('expiry_date') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Quantity') }}</label>
                              {{Form::number("quantity","",["class"=>"form-control","id"=>"quantity"])}}
                              <div class="error">{{ $errors->first('quantity') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Promo Type') }}</label>
                              <input class="wa_promo_code_radio_btn" type="radio" name="promo_type" value="1">{{ __('messages.Single time') }}
                              <input class="wa_promo_code_radio_btn" type="radio" name="promo_type" value="2">{{ __('messages.Unlimited') }}
                              <div class="error">{{ $errors->first('promo_type') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Discount Type') }}</label>
                              <input class="wa_promo_code_radio_btn" type="radio" name="discount_type" value="1">{{ __('messages.Percentage Basis') }}
                              <input class="wa_promo_code_radio_btn" type="radio" name="discount_type" value="2">{{ __('messages.Amount Basis') }}
                              <div class="error">{{ $errors->first('discount_type') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Discounted Value') }}</label>
                              {{Form::text("discounted_value","",["class"=>"form-control","onkeypress"=>"return isNumberKey(event);"])}}
                              <div class="error">{{ $errors->first('discount_type') }}</div>
                           </div>
                           <div class="form-group">
                              <label>{{ __('messages.Description') }}</label>
                              {{Form::textarea("description","",["class"=>"form-control"])}}
                              <div class="error">{{ $errors->first('description') }}</div>
                           </div>
                           <div class="col-md-12">
                              <div class="form-group">
                                 {{Form::submit(__('messages.Submit'),["class"=>"btn btn-primary"])}}
                              </div>                  
                           </div>
                           {{Form::close()}}

                        </div>
                        <!-- /.card-body -->
                     </div>
                  </div>
                  <!-- /.card-body -->
               </div>
            </div>
         </div>
      </div>
   </section>

@include("admin.template.footer")