@include("admin.template.header")
@include("admin.template.sidebar")

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
   <section class="content">
       <div class="container-fluid">
       <!-- Small boxes (Stat box) -->
         <div class="row">
            <div class="col-md-12">
               {!! session("message") !!}
            </div>   
            <div class="col-md-12">
               <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                     <div class="src-filter">
                        <div class="card card-primary">
                           
                           <!-- /.card-body -->
                        </div>
                     </div>  
                     <table id="myTable" class="table table-bordered table-striped">
                        <thead>
                           <tr>
                              <th>{{ __('messages.ID')}}</th>
                              <th style="width: 8%" class="text-center">
                                 {{ __('messages.Device Id')}}
                              </th>
                              <th>{{ __('messages.Location')}}</th>
                              <th>{{ __('messages.Device Type')}}</th>
                              <th>{{ __('messages.Location name')}}</th>
                              <th>{{ __('messages.Contact number')}}</th>
                              <th>{{ __('messages.Opening time')}}</th>
                              <th>{{ __('messages.Closing time')}}</th>
                              <th>{{ __('messages.Action')}}</th>
                          </tr>
                        </thead>
                        <tbody>
                           @php $x= 1; @endphp
                           @forelse($data["kioskList"] as $value)
                           @php $id = Crypt::encryptString($value->id); @endphp
                           <tr>
                              <td>{{$value->id}}</td>
                              <td><a href="{{url('admin/listBatteries?deviceId='.$value->device_id.'&searchsubmit=Search')}}">{{$value->device_id}}</a></td>
                              <td>{{$value->device_address}}</td>
                              <td>{{$value->device_type}}</td>
                              <td>{{$value->location_name}}</td>
                              <td>{{$value->contact_number}}</td>
                              <td>{{$value->opening_time}}</td>
                              <td>{{$value->closing_time}}</td>
                              <td><a class="btn btn-primary btn-sm" href="{{ url('admin/updateKioskInfo').'/'.$id }}"><i class="fas fa-folder"></i>{{ __("messages.Update Detail") }}</a></td>
                           </tr>
                           @php $x++; @endphp
                           @empty
                           {{--<p>{{ __('messages.no_record')}}</p>--}}

                           @endforelse     
                        </tbody>
                        <tfoot>
                        <tr>
                           <th>{{ __('messages.ID')}}</th>
                           <th style="width: 8%" class="text-center">
                              {{ __('messages.Device Id')}}
                           </th>
                           <th>{{ __('messages.Location')}}</th>
                           <th>{{ __('messages.Device Type')}}</th>
                           <th>{{ __('messages.Device Location name')}}</th>
                           <th>{{ __('messages.Contact number')}}</th>
                           <th>{{ __('messages.Opening time')}}</th>
                           <th>{{ __('messages.Closing time')}}</th>
                           <th>{{ __('messages.Action')}}</th>
                        </tr>
                        </tfoot>
                     </table>
                     @if(!empty($data["kioskList"]))
                     {{$data["kioskList"]->appends(request()->input())->links()}}
                     @endif 
                  </div>
              </div>
         </div>
      </div>
   </section>

@include("admin.template.footer")
<script>
$(function () {
    $("#myTable").DataTable({
        aaSorting : [[0, 'desc']],
        "responsive": true,
        "autoWidth": false,
        "language": {
            "emptyTable": "{{ __('messages.no_record')}}"
        },
        
        "searching": false,   // Search Box will Be Disabled
        "ordering": false,    // Ordering (Sorting on Each Column)will Be Disabled
        "info": true,         // Will show "1 to n of n entries" Text at bottom
        "lengthChange": false // Will Disabled Record number per page
    });
});
</script>