@include("admin.template.header")
@include("admin.template.sidebar")

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
  <section class="content">
      <div class="container-fluid">
      <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-md-12">
              {!! session("message") !!}
            </div>  
          <div class="col-md-6">
            <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                      <div class="card card-primary">
                      <div class="card-header">
                        <h3 class="card-title">{{ __("messages.Stripe Setting") }}</h3>

                        <div class="card-tools">
                          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                          </button>
                        </div>
                      </div>
                      <div class="card-body">
                        <div class="col-md-6">
                          <img src="{{ url('public/upload/stripe.jpeg') }}">
                        </div>
                        {{ Form::open(array("url"=>"admin/stripeSettingSubmit",'method' => 'post',"files"=>true)) }}
                            <input type="hidden" name="id" value="@php echo $data['record'][0]['id']  @endphp" class="form-control">
                            <div class="col-md-12">
                             <div class="form-group">
                               {{Form::label("status",__('messages.STRIPE_KEY'))}}
                               <input type="text" name="stripe_key" value="@php echo $data['record'][0]['stripe_key']  @endphp" class="form-control">

                             </div>
                              <div class="error">{{ $errors->first('stripe_key') }}</div>
                            </div>
                            <div class="col-md-12">
                             <div class="form-group">
                               {{Form::label("status",__('messages.STRIPE_SECRET'))}}
                               <input type="text" name="stripe_secret" value="@php echo $data['record'][0]['stripe_secret']  @endphp" class="form-control">
                             </div>
                              <div class="error">{{ $errors->first('stripe_secret') }}</div>
                            </div>
                            
                    <div class="col-md-12">
                            {{ Form::submit(__('messages.Submit'),['name' => 'searchsubmit', "class"=>"btn btn-warning"]) }}
                            
                            </div>  
                      {{ Form::close() }}
                      </div>
                      <!-- /.card-body -->
                  </div>
                  </div>
                  <!-- /.card-body -->
                </div>
            </div>  
          <div class="col-md-6">
            <div class="card">
                  <!-- /.card-header -->
                  <div class="card-body">
                      <div class="card card-primary">
                      <div class="card-header">
                        <h3 class="card-title">{{ __("messages.Paypal Setting") }}</h3>

                        <div class="card-tools">
                          <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                            <i class="fas fa-minus"></i>
                          </button>
                        </div>
                      </div>
                      <div class="card-body">
                        <div class="col-md-6">
                              <img src="{{ url('public/upload/paypal.jpeg') }}">
                        </div>
                          {{ Form::open(array("url"=>"admin/paypalSettingSubmit",'method' => 'post',"files"=>true)) }}
                              <input type="hidden" name="id" value="@php echo $data['paypal_record'][0]['id']  @endphp" class="form-control">
                              <div class="col-md-12">
                               <div class="form-group">
                                 {{Form::label("status",__('messages.Payment mode'))}}
                                 <input type="radio" name="mode" value="sandbox" @php if($data['paypal_record'][0]['mode'] == "sandbox"){ echo "checked"; }@endphp >{{ __("messages.sandbox") }}
                                <input type="radio" name="mode" value="live" @php if($data['paypal_record'][0]['mode'] == "live"){ echo "checked"; }@endphp >{{ __("messages.live") }}
                               </div>
                                <div class="error">{{ $errors->first('api_username') }}</div>
                              </div>

                              <div class="col-md-12">
                               <div class="form-group">
                                 {{Form::label("status",__('messages.API_USERNAME'))}}
                                 <input type="text" name="api_username" value="@php echo $data['paypal_record'][0]['api_username']  @endphp" class="form-control">

                               </div>
                                <div class="error">{{ $errors->first('api_username') }}</div>
                              </div>
                              {{--<div class="col-md-12">
                               <div class="form-group">
                                 {{Form::label("status",__('messages.API_PASSWORD'))}}
                                 <input type="text" name="api_password" value="@php echo $data['paypal_record'][0]['api_password']  @endphp" class="form-control">
                               </div>
                                <div class="error">{{ $errors->first('api_password') }}</div>
                              </div>--}}
                              <div class="col-md-12">
                               <div class="form-group">
                                 {{Form::label("status",__('messages.API_SECRET'))}}
                                 <input type="text" name="api_secret" value="@php echo $data['paypal_record'][0]['api_secret']  @endphp" class="form-control">
                               </div>
                                <div class="error">{{ $errors->first('api_secret') }}</div>
                              </div>
                              
                      <div class="col-md-12">
                              {{ Form::submit(__('messages.Submit'),['name' => 'searchsubmit', "class"=>"btn btn-warning"]) }}
                              
                              </div>  
                        {{ Form::close() }}

                      </div>
                      <!-- /.card-body -->
                  </div>
                  </div>
                  <!-- /.card-body -->
                </div>
            </div>
        </div>
    </div>
  </section>

@include("admin.template.footer")
