@include("admin.template.header")
@include("admin.template.sidebar")

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">{{$data['heading']}}</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">{{ __('messages.Dashboard')}}</a></li>
              <li class="breadcrumb-item active">{{$data['heading']}}</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
	<section class="content">
	    <div class="container-fluid">
	    <!-- Small boxes (Stat box) -->
	    	<div class="row">
	    		<div class="col-md-12">
      				{!! session("message") !!}
      			</div>	
	    		<div class="col-md-12">
			    	<div class="card">
		              <!-- /.card-header -->
		              <div class="card-body">
		              		<div class="card card-primary">
					            <div class="card-header">
					              <h3 class="card-title">{{ __('messages.General')}}</h3>

					              <div class="card-tools">
					                <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
					                  <i class="fas fa-minus"></i>
					                </button>
					              </div>
					            </div>
					            <div class="card-body">
					            	{{Form::open(array("url"=>"admin/siteSettingsubmit","method"=>"post","files"=>true,"class"=>"site-form"))}}
					              		<div class="form-group">
							                <label for="inputDescription">{{ __('messages.Support Email')}}</label>
							                <input type="email" name="support_email" class="form-control" value="{{$setting[0]['value']}}">
							                <div class="error">{{$errors->first("support_email")}}</div>
							            </div>

							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Support Number')}}</label>
							                <input type="text" name="support_contact" class="form-control" value="{{$setting[1]['value']}}">
					                  		<div class="error">{{$errors->first("support_contact")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Currency')}}</label>
							                <input type="text" name="Currency" class="form-control" value="{{$setting[2]['value']}}">
					                  		<div class="error">{{$errors->first("Currency")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Tax in')}} %</label>
							                <input type="text" name="tax" class="form-control" value="{{$setting[3]['value']}}">
					                  		<div class="error">{{$errors->first("tax")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Deposit amount')}}</label>
							                <input type="text" name="deposit_amount" class="form-control" value="{{$setting[8]['value']}}">
					                  		<div class="error">{{$errors->first("deposit_amount")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Default Search Radius')}}</label>
							                <input type="text" name="default_search_radius" class="form-control" value="{{$setting[4]['value']}}" onkeypress="return isNumberKey(event);">
						                  	<div class="error">{{$errors->first("default_search_radius")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Per half hour charge')}}</label>
							                <input type="text" name="per_half_hour_charge" class="form-control" value="{{$setting[9]['value']}}" onkeypress="return isNumberKey(event);">
						                  	<div class="error">{{$errors->first("per_half_hour_charge")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Per hour charge')}}</label>
							                <input type="text" name="per_hour_charge" class="form-control" value="{{$setting[7]['value']}}" onkeypress="return isNumberKey(event);">
						                  	<div class="error">{{$errors->first("per_hour_charge")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Per day charge')}}</label>
							                <input type="text" name="per_day_charge" class="form-control" value="{{$setting[10]['value']}}" onkeypress="return isNumberKey(event);">
						                  	<div class="error">{{$errors->first("per_day_charge")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Rental duration (In Days)')}}</label>
							                <input type="text" name="default_battery_keeping_days" class="form-control" value="{{$setting[5]['value']}}" onkeypress="return isNumberKey(event);">
						                  	<div class="error">{{$errors->first("default_battery_keeping_days")}}</div>
							            </div>
							            <div class="form-group">
							                <label for="inputDescription">{{ __('messages.Default minutes to start charge')}}</label>
							                <input type="text" name="default_minutes_to_start_charge" class="form-control" value="{{$setting[6]['value']}}" onkeypress="return isNumberKey(event);">
						                  	<div class="error">{{$errors->first("default_minutes_to_start_charge")}}</div>
							            </div>
							            {{--<div class="form-group">
							                <label for="inputDescription">{{ __('messages.Site Logo')}}</label>
							                <input type="file" name="site_logo" class="pull-right">
					                  		<img src="{{ url('public/upload/images/'.$setting[5]['value'])}}">
							            </div>--}}
					               {{Form::submit( __('messages.Submit'),["class"=>"btn btn-primary"])}}
				               {{Form::close()}}
					            </div>
					            <!-- /.card-body -->
				          </div>
		              </div>
		              <!-- /.card-body -->
		            </div>
		        </div>
	    	</div>
		</div>
	</section>

@include("admin.template.footer")
