<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Route::middleware('auth:api')->get('/user', function (Request $request) {
//     return $request->user();
// });

Route::get('loginNotAllowed','api\Usercontroller@loginNotAllowed')->name('loginNotAllowed');

Route::post('login','api\Usercontroller@userLogin')->name('userLogin');
Route::post('signup','api\Usercontroller@userRegistration');
Route::post('forgotPassword','api\Usercontroller@userForgotPassword');

Route::group( ['prefix' => 'user','middleware' => ['auth:api'] ],function(){
// authenticated user routes here 
    Route::get('myProfile','api\Usercontroller@myProfile');
    Route::post('updateProfile','api\Usercontroller@updateProfile');
    Route::post('updateAddress','api\Usercontroller@updateAddress');
    Route::get('nearByKiosk','api\Usercontroller@nearByKiosk');
    Route::post('kioskDetail','api\Usercontroller@kioskDetail');
    Route::post('viewSingleKioskOnMap','api\Usercontroller@viewSingleKioskOnMap');
    Route::post('rateKiosk','api\Usercontroller@rateKiosk');
    Route::get('supportDesk','api\Usercontroller@supportDesk');



    /* IoT API */
    Route::post('requestBattery','api\Usercontroller@requestBattery');
});   

Route::get('chargeCalculation','api\Usercontroller@chargeCalculation');