<!DOCTYPE html>
<html lang="en">
<head>
  <title><?php echo e($heading); ?></title>
  <meta charset="utf-8">
  <link rel="shortcut icon" href="<?php echo e(url('public/images/favicon.png')); ?>" type="image/x-icon">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<style type="text/css">
  .login-area {
    position: relative;
    padding: 0 0 33px;
    background-color: #fff;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    font-family: Poppins;
  }
    .inner-logo.login_page_logo_main img {
     max-width: 200px;
     padding:20px 0;
    }
  .layer-outer {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
  }
  .layer-image {
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-image: url(https://images.pexels.com/photos/3740899/pexels-photo-3740899.jpeg?cs=srgb&dl=person-in-gray-long-sleeve-sweat-shirt-using-macbook-pro-3740899.jpg&fm=jpg);
    background-repeat: no-repeat;
    background-position: bottom center;
    background-size: cover;
  }
  .layer-image::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: #4c3d39;
    opacity: 0.6;
}
  .login-form {
    background-color: rgba(0,0,0,0.6);
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
    padding: 4em 5em 5em 5em;
    color: #fff;
}
.login-form .form-group {
    margin-bottom: 2rem;
}
.login-form label {
    font-weight: normal;
}
.login-form input {
    position: relative;
    display: block;
    width: 100%;
    color: #a5a5a5;
    line-height: 26px;
    padding: 10px 28px;
    height: 60px;
    font-size: 14px;
    border-radius: 2px;
    background: #ffffff;
    border: 1px solid #ddd;
    -webkit-transition: all 300ms ease;
    -o-transition: all 300ms ease;
    transition: all 300ms ease;
}
.login-form .bg-title h2 {
    color: #fff;
    font-size: 26px;
    padding-bottom: 30px;
}
.btn-style-four {
    position: relative;
    color: #ffffff;
    font-size: 16px;
    border: none;
    line-height: 26px;
    font-weight: 600;
    padding: 12px 35px;
    border-radius: 3px;
    background-image: linear-gradient(to bottom, #ff0000, #c20023, #820327, #420f1d, #000000);
    /*box-shadow: 0px 11px 21.25px 3.75px rgba(194, 191, 255, 0.65);*/
}
.btn-style-four:focus{
    border:none;
    outline: none;
}
.inner-logo {
    text-align: center;
    padding: 30px 0;
}
.error{
    color:#ff0000;
}
</style>
<body>
    <div class="login-area">
    <div class="layer-outer">
      <div class="layer-image"></div>
    </div>
    <div class="container">
     <div class="row">
         <div class="col-lg-12">
              <div class="inner-logo login_page_logo_main ">
            <img src="<?php echo e(url('public/upload/images/logo.png')); ?>">
          </div>
         </div>
    </div>
      <div class="row">
        
        <div class="col-lg-3 order-first order-lg-last">
          
      </div>
<div class="col-lg-6 order-first order-lg-last">
          <div class="login-form">
          
            <div class="bg-title">
                  <h2><?php echo e($heading); ?></h2>
            </div>
            <div class="clearfix"></div> 
            <div><?php echo session("message"); ?></div>
            <div class="clearfix"></div> 
            <?php echo e(Form::open(array("url"=>"admin/LoginSubmit","method"=>"post"))); ?>

            <div class="form-group">
              <label for="email"><?php echo e(__('messages.Username')); ?> :</label>
              <input type="text" class="form-control input-fld" id="username" name="username">
              <div class="error"><?php echo e($errors->first("username")); ?></div>
            </div>
            <div class="form-group">
              <label for="pwd"><?php echo e(__('messages.Password')); ?> :</label>
              <input type="password" class="form-control input-fld" id="password" name="password">
              <div class="error"><?php echo e($errors->first("password")); ?></div>
            </div>
            <button type="submit" class="theme-btn btn-style-four"><?php echo e(__('messages.Submit')); ?></button>
          <?php echo e(Form::close()); ?>

        </div>
      </div>
<div class="col-lg-3 order-first order-lg-last">
          
      </div>
    </div>
  </div>
  
</div>

    

</body>
</html>
<?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/admin/login.blade.php ENDPATH**/ ?>