<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content= "width=device-width, user-scalable=no">
	<title>Power-Bank-stripe</title>
	<link rel="shortcut icon" href="<?php echo e(url('public/images/Favicon.png')); ?>" type="image/x-icon">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <style type="text/css">
        .stikc-form{
            touch-action: manipulation;
        }
        :root {
          touch-action: pan-x pan-y;
          height: 100% 
        }
        .panel-title {
        display: inline;
        font-weight: bold;
        }
        .display-table {
            display: table;
        }
        .display-tr {
            display: table-row;
        }
        .display-td {
            display: table-cell;
            vertical-align: middle;
            width: 61%;
        }
        .fix-box {
            position: relative;
            overflow-y: auto;
        }
        .stikc-form{
            max-width: 500px;
            margin: 0 auto;
        }
        .error{
            color: #a94442;
        }
        .card-expiry-month, .card-expiry-year {
            width: 100%;
            border-color: #ccc;
            height: 35px;
            border-radius: 3px;
            padding: 0 5px;
            background: transparent;
        }
    </style>
</head>
<body>
  
<div class="container">
  
    <h1></h1>
  
    <div class="row">
        <div class="stikc-form">
            <div class="fix-box">
            <div class="text-center"><b>Power-Bank</b></div>
            <div class="panel panel-default credit-card-box">
                <div class="panel-heading" >
                    <div class="row display-tr" >
                        <h3 class="panel-title" ><?php echo e(__('messages.Payment Details')); ?></h3>
                        <div class="display-td" >                            
                            <img class="img-responsive pull-right" src="">
                        </div>
                    </div>                    
                </div>
                <div class="panel-body">
  
                    <?php if(Session::has('success')): ?>
                        <div class="alert alert-success text-center">
                            <a href="#" class="close" data-dismiss="alert" aria-label="close">×</a>
                            <p><?php echo e(Session::get('success')); ?></p>
                        </div>
                    <?php endif; ?>
                    
                    <form role="form" action="<?php echo e(route('stripe.post')); ?>" method="post" class="require-validation"
                                                     data-cc-on-file="false"
                                                     data-locale="fr"
                                                    data-stripe-publishable-key="<?php echo e($data['STRIPE_KEY']); ?>"
                                                    id="payment-form">
                        <?php echo csrf_field(); ?>
                             
                        <div class='form-row row'>
                            <div class='col-xs-12 form-group required'>
                                <label class='control-label'><?php echo e(__('messages.Email')); ?></label> 
                                <input class='form-control email' type='email' name="email">
                                <div class="error" id="email_error" style="display: none;">Veuillez saisir une adresse électronique valide</div>
                            </div>
                        </div>
                        <div class='form-row row'>
                            <div class='col-xs-12 form-group required'>
                                <label class='control-label'><?php echo e(__('messages.Name on Card')); ?></label> <input
                                    class='form-control card_name' size='4' type='text'>
                                    <div class="error" id="card_name_error" style="display: none;">Veuillez saisir uniquement le texte</div>
                            </div>
                        </div>
  
                        <div class='form-row row'>
                            <div class='col-xs-12 form-group card required'>
                                <label class='control-label'><?php echo e(__('messages.Card Number')); ?></label> <input
                                    autocomplete='off' class='form-control card-number'
                                    type='number' onKeyPress="if(this.value.length==16) return false;"  >

                            </div>
                        </div>
  
                        <div class='form-row row'>
                            <div class='col-xs-12 col-md-4 form-group cvc required'>
                                <label class='control-label'>CVV</label> <input autocomplete='off'
                                    class='form-control card-cvc' placeholder='ex. 311' size='4'
                                    type='number' onKeyPress="if(this.value.length==3) return false;">
                            </div>
                            <div class='col-xs-12 col-md-4 form-group expiration required'>
                                <label class='control-label'><?php echo e(__('messages.Expiration Month')); ?></label>
                                <select class="card-expiry-month w-100">
                                    <option value="01">January</option>
                                    <option value="02">February</option>
                                    <option value="03">March</option>
                                    <option value="04">April</option>
                                    <option value="05">May</option>
                                    <option value="06">June</option>
                                    <option value="07">July</option>
                                    <option value="08">August</option>
                                    <option value="09">September</option>
                                    <option value="10">October</option>
                                    <option value="11">November</option>
                                    <option value="12">December</option>
                                </select>    
                            </div>
                            <?php 
                            $year = date("Y");
                             ?>

                            <div class='col-xs-12 col-md-4 form-group expiration required'>
                                <label class='control-label'><?php echo e(__('messages.Expiration Year')); ?></label>
                                    <select class='card-expiry-year'>
                                        <?php for($x=0; $x<=9; $x++) { ?>
                                            <option value="<?php echo $year+$x;?>"><?php echo $year+$x;?></option>
                                        <?php } ?>    
                                    </select>
                            </div>
                        </div>
  
                        <div class='form-row row'>
                            <div class='col-md-12 error form-group hide'>
                                <div class='alert-danger alert'><?php echo e(__('messages.Please correct the errors and try again')); ?>.</div>
                            </div>
                        </div>
                        <input type="hidden" name="kd" value="<?php echo e($data['kd']); ?>">
                        <input type="hidden" name="ud" value="<?php echo e($data['ud']); ?>">
                        <div class="row">
                            <div class="col-xs-12">
                                <button class="btn btn-primary btn-lg btn-block" type="submit"><?php echo e(__('messages.Pay Now')); ?> [<?php echo e($data['amt']); ?> <?php echo e($data['crn']); ?>]</button>
                            </div>
                        </div>
                          
                    </form>
                    <div class="clearfix"></div><br>
                    <div>
                        <a href="<?php echo e(url('orderPaymentback')); ?>" class="btn btn-warning btn-lg  btn-block"><?php echo e(__('messages.Back')); ?></a>
                    </div>
                    
                </div>
            </div>        
        </div>
        </div>
    </div>
      
</div>
  
</body>
  
<script type="text/javascript" src="https://js.stripe.com/v2/"></script>
  
<script type="text/javascript">
 

$(function() {

    

    var $form         = $(".require-validation");
  $('form.require-validation').bind('submit', function(e) {
    var $form         = $(".require-validation"),
        inputSelector = ['input[type=email]', 'input[type=password]',
                         'input[type=text]', 'input[type=file]',
                         'textarea'].join(', '),
        $inputs       = $form.find('.required').find(inputSelector),
        $errorMessage = $form.find('div.error'),
        valid         = true;
        $errorMessage.addClass('hide');
 
        $('.has-error').removeClass('has-error');
    $inputs.each(function(i, el) {
      var $input = $(el);
      if ($input.val() === '') {
        $input.parent().addClass('has-error');
        $errorMessage.removeClass('hide');
        e.preventDefault();
      }
    });
  
    if (!$form.data('cc-on-file')) {
      e.preventDefault();
      Stripe.setPublishableKey($form.data('stripe-publishable-key'));
      Stripe.createToken({
        number: $('.card-number').val(),
        cvc: $('.card-cvc').val(),
        exp_month: $('.card-expiry-month').val(),
        exp_year: $('.card-expiry-year').val()
      }, stripeResponseHandler);
    }
  
  });
  
  function stripeResponseHandler(status, response)
  {

     /*alert(status);
    alert(response);
    console.log(status);
    console.log(response);
    return false;*/
        if (response.error) {
            $('.error')
                .removeClass('hide')
                .find('.alert');
                //.text(response.error.message);
        } else {
            // token contains id, last4, and card type
            var token = response['id'];
            // insert the token into the form so it gets submitted to the server
            $form.find('input[type=text]').empty();
            $form.append("<input type='hidden' name='stripeToken' value='" + token + "'/>");
            $form.get(0).submit();
        }
    }
  
});


$(".email").keyup(function(){
  var email = $(this).val();
    //alert(email);
    var re = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
    if ($(this).val() == '' || !re.test($(this).val()))
    {
        $("#email_error").show();
    }
    else
    {
        $("#email_error").hide();
    }


});
$(".card_name").keyup(function(){
    //alert(email);
    var re = /^[a-zA-Z\s]+$/;
    if ($(this).val() == '' || !re.test($(this).val()))
    {
        $("#card_name_error").show();
    }
    else
    {
        $("#card_name_error").hide();
    }


});


</script>
</html>
<?php /**PATH /home/wwwcurzenncloud/public_html/power-bank/resources/views/stripe.blade.php ENDPATH**/ ?>